<style>
main.form-signin {
  max-width: 350px;
  padding: 15px;
}
</style>
<main class='form-signin w-100 m-auto text-center'>
<h1 class='h3 mb-3 fw-normal'><%= t('.title', resource: resource_name.to_s.humanize) %></h1>
<%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
<%= bootstrap_devise_error_messages! %>
  <div class="form-floating">
    <%= f.email_field :email, autofocus: true, autocomplete: 'email', class: 'form-control', id: 'floatingInput' %>
    <%= f.label :email, for: 'floatingInput'%>
  </div>
  <div class="form-floating">
    <%= f.password_field :password, autocomplete: 'new-password', class: 'form-control', id: 'floatingPassword', placeholder: 'Password' %>
    <%= f.label :password, for: 'floatingInput' %>
    <small class="form-text text-muted"><%= t('.leave_blank_if_you_don_t_want_to_change_it') %></small>
  </div>
  <div class="form-floating">
    <%= f.password_field :password_confirmation, autocomplete: 'new-password', class: 'form-control', id: 'floatingPassword', placeholder: 'Password'  %>
    <%= f.label :password_confirmation, for: 'floatingInput'  %>
  </div>
  <div class="form-floating">
    <%= f.password_field :current_password, autocomplete: 'current-password', class: 'form-control', id: 'floatingPassword', placeholder: 'Password' %>
    <%= f.label :current_password, for: 'floatingInput'  %>
    <small class="form-text text-muted"><%= t('.we_need_your_current_password_to_confirm_your_changes') %></small>
  </div>
  <div class="form-group">
    <%= f.submit t('.update'), class: 'w-100 btn btn-lg btn-primary' %>
  </div>
<% end %>
<p><%= t('.unhappy') %>?</p><p><%= link_to t('.cancel_my_account'), registration_path(resource_name), data: { confirm: t('.are_you_sure') }, method: :delete %>.</p>
<%= link_to t('.back'), :back %>


